Get route limits
Amount bounds per route; pass filters to narrow results. Public.
GET
/
v1
/
orchestration
/
limits
Get route limits
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/limits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"generatedAt": "2026-09-12T12:00:00.000Z",
"routes": [
{
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"exactOutEligible": false,
"fixedEligible": false,
"source": {
"chain": "bitcoin",
"asset": "BTC",
"assetDisplayName": "Bitcoin",
"assetDisplaySymbol": "BTC",
"contractAddress": null,
"decimals": 8,
"chainId": null,
"chainDisplayName": "Bitcoin",
"chainIcon": "/btc.svg"
},
"destination": {
"chain": "solana",
"asset": "USDC",
"assetDisplayName": "USDC",
"assetDisplaySymbol": "USDC",
"contractAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"decimals": 6,
"chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
"chainDisplayName": "Solana",
"chainIcon": "/chain-solana.svg"
},
"direction": "sell",
"limits": {
"orderNotionalUsd": {
"minCents": "1000",
"maxCents": "1000000",
"source": "runtime_order_bounds"
},
"exactIn": {
"supported": true,
"requestAmount": {
"leg": "source",
"chain": "bitcoin",
"asset": "BTC",
"minAmountSmallest": null,
"maxAmountSmallest": null,
"minUsdCents": "1000",
"maxUsdCents": "1000000"
},
"constraints": [
"order_notional_usd"
]
},
"exactOut": {
"supported": false,
"requestAmount": null,
"constraints": []
},
"fiatUsd": null,
"dynamicProviderLimits": {
"possible": false,
"components": [],
"description": null
},
"constraints": [
{
"id": "order_notional_usd",
"amountMode": "all",
"leg": "route",
"source": "runtime_order_bounds",
"description": "Runtime USD notional bounds",
"chain": null,
"asset": null,
"minAmountSmallest": null,
"maxAmountSmallest": null,
"minUsdCents": "1000",
"maxUsdCents": "1000000"
}
]
}
}
]
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Query Parameters
Available options:
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash A canonical public asset symbol or a registry asset routing key. TON is a legacy input alias for ton:GRAM only; responses use GRAM.
Available options:
AAPL, AI, AMD, AMZN, BNB, BONER, BTC, CASHCAT, COIN, COST, DAI, DELTA, DJT, ETH, GLD, GME, GOOGL, GRAM, HIMS, HSUSD, HYPE, IF, LTC, META, MON, MSFT, MSTR, MU, NVDA, PIPEDOG, PLTR, POL, PONS, PYUSD, PathUSD, QQQ, RDDT, SHX, SKHY, SLV, SNDK, SOL, SPCX, SPY, STONKBROKER, TENDIES, TRX, TSLA, TSM, UP, USDB, USDC, USDC.e, USDG, USDT, USDe, USD₮0, USO, WBNB, WBTC, WEN, XMR, XPL, XRP, ZEC, cbBTC, tBTC Available options:
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash A canonical public asset symbol or a registry asset routing key. TON is a legacy input alias for ton:GRAM only; responses use GRAM.
Available options:
AAPL, AI, AMD, AMZN, BNB, BONER, BTC, CASHCAT, COIN, COST, DAI, DELTA, DJT, ETH, GLD, GME, GOOGL, GRAM, HIMS, HSUSD, HYPE, IF, LTC, META, MON, MSFT, MSTR, MU, NVDA, PIPEDOG, PLTR, POL, PONS, PYUSD, PathUSD, QQQ, RDDT, SHX, SKHY, SLV, SNDK, SOL, SPCX, SPY, STONKBROKER, TENDIES, TRX, TSLA, TSM, UP, USDB, USDC, USDC.e, USDG, USDT, USDe, USD₮0, USO, WBNB, WBTC, WEN, XMR, XPL, XRP, ZEC, cbBTC, tBTC Was this page helpful?
⌘I
Get route limits
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/limits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"generatedAt": "2026-09-12T12:00:00.000Z",
"routes": [
{
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"exactOutEligible": false,
"fixedEligible": false,
"source": {
"chain": "bitcoin",
"asset": "BTC",
"assetDisplayName": "Bitcoin",
"assetDisplaySymbol": "BTC",
"contractAddress": null,
"decimals": 8,
"chainId": null,
"chainDisplayName": "Bitcoin",
"chainIcon": "/btc.svg"
},
"destination": {
"chain": "solana",
"asset": "USDC",
"assetDisplayName": "USDC",
"assetDisplaySymbol": "USDC",
"contractAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"decimals": 6,
"chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
"chainDisplayName": "Solana",
"chainIcon": "/chain-solana.svg"
},
"direction": "sell",
"limits": {
"orderNotionalUsd": {
"minCents": "1000",
"maxCents": "1000000",
"source": "runtime_order_bounds"
},
"exactIn": {
"supported": true,
"requestAmount": {
"leg": "source",
"chain": "bitcoin",
"asset": "BTC",
"minAmountSmallest": null,
"maxAmountSmallest": null,
"minUsdCents": "1000",
"maxUsdCents": "1000000"
},
"constraints": [
"order_notional_usd"
]
},
"exactOut": {
"supported": false,
"requestAmount": null,
"constraints": []
},
"fiatUsd": null,
"dynamicProviderLimits": {
"possible": false,
"components": [],
"description": null
},
"constraints": [
{
"id": "order_notional_usd",
"amountMode": "all",
"leg": "route",
"source": "runtime_order_bounds",
"description": "Runtime USD notional bounds",
"chain": null,
"asset": null,
"minAmountSmallest": null,
"maxAmountSmallest": null,
"minUsdCents": "1000",
"maxUsdCents": "1000000"
}
]
}
}
]
}